
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET中AJAX 调用实例代码_jquery / iVAN</title>

    <meta name="description" content="ASP.NET中AJAX 调用实例代码_jquery 1前言 最近在ASP.NET中做了一个AJAX调用 : Client端先从ASP.NET Server后台取到一个页面模板,然后在页面初始化时再从Server中取一些相关数据以实现页面模板的动态显示.具体实现为: 1) Client向 ASP.NET后台发送HTTP GET 请示 2) 后台给Client发送一个HTML模板,同时在内存中存储一个XML String (包含页面模板动态显示所需的数据) 3) Client在初始化页面时,发送AJAX请求,拿到XML String 4) 利用拿到的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET中AJAX 调用实例代码_jquery</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1前言 <br />最近在ASP.NET中做了一个AJAX调用 : Client端先从ASP.NET Server后台取到一个页面模板，然后在页面初始化时再从Server中取一些相关数据以实现页面模板的动态显示。具体实现为： <br />1) Client向 ASP.NET后台发送HTTP GET 请示 <br />2) 后台给Client发送一个HTML模板,同时在内存中存储一个XML String (包含页面模板动态显示所需的数据) <br />3) Client在初始化页面时，发送AJAX请求，拿到XML String <br />4) 利用拿到的XML String,定制化HTMl模板，实现HTML页面模板的动态显示。 <br />2几个关键点的简介与代码示例 <br />2.1 ASP.NET Server端 <br />2.1.1 用C#生成XML String <br />用System.Xmlnamespace下的几个类就可以实现。下面是Code sample,</p>
<p><u>复制代码</u> 代码如下:</p>
<p>ArrayList steps = new ArrayList(); <br />String errordiscription = "Not in position"; <br />for (int i = 0; i &lt; 5; i++) <br />{ <br />steps.Add(new Step(@"images/1.jpg", "step21 description")); <br />} <br />XmlDocument doc = new XmlDocument(); <br />XmlNode docNode = doc.CreateXmlDeclaration("1.0", "UTF-8", null); <br />doc.AppendChild(docNode); <br />//add the root <br />XmlNode rootNode = doc.CreateElement("Root"); <br />doc.AppendChild(rootNode); <br />//add the error description node <br />XmlNode errorNode = doc.CreateElement("ErrorDescription"); <br />errorNode.AppendChild(doc.CreateTextNode(errordiscription)); <br />rootNode.AppendChild(errorNode); <br />//add the steps node <br />XmlNode productsNode = doc.CreateElement("Steps"); <br />rootNode.AppendChild(productsNode); <br />for (int i = 0; i &lt; steps.Count; i++) <br />{ <br />XmlNode productNode = doc.CreateElement("step"); <br />XmlAttribute productAttribute = doc.CreateAttribute("description"); <br />productAttribute.Value = ((Step)steps[i]).description; <br />productNode.Attributes.Append(productAttribute); <br />//productNode.Value = ((Step)steps[i]).imagePath; <br />productNode.AppendChild(doc.CreateTextNode(((Step)steps[i]).imagePath)); <br />productsNode.AppendChild(productNode); <br />} <br />Global.Repairsteps= doc.InnerXml;</p>
<p>生成的XML如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?xml version="1.0" encoding="UTF-8" ?&gt; <br />- &lt;Root&gt; <br />&lt;ErrorDescription&gt;Not in position&lt;/ErrorDescription&gt; <br />- &lt;Steps&gt; <br />&lt;step description="step21 description"&gt;images/1.jpg&lt;/step&gt; <br />&lt;step description="step21 description"&gt;images/1.jpg&lt;/step&gt; <br />&lt;step description="step21 description"&gt;images/1.jpg&lt;/step&gt; <br />&lt;step description="step21 description"&gt;images/1.jpg&lt;/step&gt; <br />&lt;step description="step21 description"&gt;images/1.jpg&lt;/step&gt; <br />&lt;/Steps&gt; <br />&lt;/Root&gt;</p>
<p>2.1.2 响应Ajax请求，返回XML 流 <br />这里就只有一点需要注意，加个HTML Header，声明 Content-Type.</p>
<p><u>复制代码</u> 代码如下:</p>
<p>Response.Clear(); <br />Response.AddHeader("Content-Type", "text/xml"); <br />Response.Write(Global.Repairsteps); <br />Response.End();</p>
<p>2.1.3 多个Request之间数据共享 <br />实现多个Request之间数据共享的方法很简单直观，利用一个Global对象就可以了。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>public class Global <br />{ <br />/// &lt;summary&gt; <br />/// Global variable storing important stuff. <br />/// &lt;/summary&gt; <br />static string _repairsteps; <br />/// &lt;summary&gt; <br />/// Get or set the static important data. <br />/// &lt;/summary&gt; <br />public static string Repairsteps <br />{ <br />get <br />{ <br />return _repairsteps; <br />} <br />set <br />{ <br />_repairsteps = value; <br />} <br />} <br />}</p>
<p>2.2 Client端 <br />2.2.1 AJAX获取 XML</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$.ajax({ <br />type: "GET", <br />url: "http://localhost:3153/WebSite2/", <br />cache: false, <br />dataType: "xml", <br />error:function(xhr, status, errorThrown) { <br />alert(errorThrown+'\n'+status+'\n'+xhr.statusText); <br />}, <br />success: function(xml) { <br />//Here we can process the xml received via Ajax <br />}});</p>
<p>2.2.2 动态插入HTML List 元素 <br />比较常见的方法是生成html stream,然后用append或html把Stream插入到DOM里面去。这样做有一个问题，如果Stream里恰好有双引号或单引号时，就要用 很多的“\”分隔符，容易出错，可读性不太法，不太方便，事实上，JQuery有个create new element的功能。只要给$的输入参数包含&lt;tag ... &gt;时，JQuery就不会把它理解成一个selector expression, 而是把它理解成一个生成新的DOM element 。以下是一个code sample.</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$(xml).find("step").each(function(){ <br />var stepimagepath=$(this).text(); <br />var stepdescription=$(this).attr("description"); <br />additem(stepimagepath, stepdescription); <br />}); <br />function additem(stepimagepath, stepdescription){ <br />$('.ad-thumbs ul').append( <br />$('&lt;li&gt;').append( <br />$('&lt;a&gt;').attr('href', stepimagepath).append( <br />$('&lt;img&gt;').attr('src', stepimagepath).attr('alt', stepdescription) <br />))); <br />}</p>
<p>生成的HTML section 如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;ul class="ad-thumb-list"&gt; <br />&lt;li&gt;&lt;a href="images/1.jpg"&gt;&lt;img src="images/1.jpg" alt="step21 description"&gt;&lt;/a&gt;&lt;/li&gt; <br />&lt;li&gt;&lt;a href="images/1.jpg"&gt;&lt;img src="images/1.jpg" alt="step21 description"&gt;&lt;/a&gt;&lt;/li&gt; <br />&lt;li&gt;&lt;a href="images/1.jpg"&gt;&lt;img src="images/1.jpg" alt="step21 description"&gt;&lt;/a&gt;&lt;/li&gt; <br />&lt;li&gt;&lt;a href="images/1.jpg"&gt;&lt;img src="images/1.jpg" alt="step21 description"&gt;&lt;/a&gt;&lt;/li&gt; <br />&lt;li&gt;&lt;a href="images/1.jpg"&gt;&lt;img src="images/1.jpg" alt="step21 description"&gt;&lt;/a&gt;&lt;/li&gt; <br />&lt;/ul&gt;</p>
<p>3总结 <br />本文介绍了在ASP.NET中使用Ajax可能会碰到的几个关键点。 C#生成XML流，AJAX实现(Server端与Client端)， Global 变量，与及如果用一种比较好的方法动态插入HTML 元素. <br />4参考 <br />http://www.dotnetperls.com/global-variables-aspnet <br />http://api.jquery.com/jQuery/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 16:14:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ajax/" title="ajax">ajax</a>, <a href="https://www.iamivan.net/tag/%e8%b0%83%e7%94%a8%e5%ae%9e%e4%be%8b/" title="调用实例">调用实例</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET中AJAX 调用实例代码_jquery的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0qXjp.html" rel="bookmark">jquery ajax jsonp跨域调用实例代码&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户端代码 复制代码 代码如下: &lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeBehind=&quot;WebForm1.aspx.cs&quot; Inherits=&quot;WebApp.WebForm1&quot; %&gt;&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRwk3Gp.html" rel="bookmark">jQuery Ajax方法调用 Asp&period;Net WebService 的详细实例代码&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ws.aspx 代码 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head id=&quot;Head1&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVl7qz.html" rel="bookmark">使用jQuery轻松实现Ajax的实例代码&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				生成Asp.Net MVC框架后,已经包含了jQuery脚本,相关环境设置可参看我的另一篇文章:Asp.Net MVC实例.这里,我们仍然借助实例中的环境.在生成的框架中的Scripts文件夹中已经可以看到jQuery的脚本.我们在TestModel.cs中创建一个函数,以取得Json数据,仍然使用Tets表,包含两个字段:Id和Name. 复制代码 代码如下: //JsonDataArray public static Array GetJsonArray(String name) { Arr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1w4voz.html" rel="bookmark">jQuery提交表单ajax查询实例代码&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看一个用jQuery提交表单ajax查询的例子. 基本功能:用户输入一个表单,输入准考证和验证码,验证用户是否输入表单,点击查询提交,然后从服务器得到返回的数据并显示出来. 代码如下: jQuery部分: 复制代码 代码如下: &lt;script language=&quot;javascript&quot; type=&quot;text/javascript&quot;&gt; $(document).ready(function() { $(&quot;#btnSubmit&quot;).clic			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3r7Az.html" rel="bookmark">asp&period;net中ajax技术是否可以实现停止服务器端正在运行的按钮事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net中ajax技术是否可以实现停止服务器端正在运行的按钮事件 给予B/S的webform项目 在服务器端有一个按钮事件 执行时间较长 所以就添加了一个按钮用来可以随时停止正在运行的耗时较长的按钮 问题是那个正在服务器端运行的按钮是否可以被其他按钮终止呢?求解答 解决方案 不可以.首先将长时间操作的任务放在按钮事件中就是错误的.按钮事件在页面回传前调用,ajax回发根本在页面加载后.你应该用消息队列.后台服务去执行长时间的任务. 解决方案二: 这个理论上是可以实现的. 服务器端			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxE71yp.html" rel="bookmark">用JS写的一个Ajax库&lpar;实例代码&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				myajax是一个用js编写的一个跨浏览器的ajax库,支持get, post, jsonp请求,精巧,简单. 一.发送GET请求: myajax.get({ &lt;span style=&quot;white-space:pre&quot;&gt; &lt;/span&gt;data: {}, //参数 url: &quot;&quot;, //请求地址 //发生错误是调用 error: function(data) { }, //请求成功调用 success: function(data){ &lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvn3mM.html" rel="bookmark">ASP&period;NET中Ajax怎么使用&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在ASP.NET中应用Ajax的格式如下: 前台代码(用JQuery库) $.ajax({ type: &quot;POST&quot;, async: true, url: &quot;../Ajax/ajax.ashx&quot;, dataType: &quot;html&quot;, data: null success: function (result) { //do successful sth }, error: function (XMLHttpRequest, textStaus, e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1BaE3p.html" rel="bookmark">jquery 弹出层ajax登陆实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jquery 弹出层ajax登陆实例代码 jQuery(document).ready(function(){  jQuery('.login_show').click(function(){   var xmlhttp=createxmlhttp();   if(!xmlhttp)   {    alert(&quot;你的浏览器不支持XMLHTTP!!&quot;);    return;   }   var  Digital=new  Date();   Digital=Digital+40000;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z78r9db.html" rel="bookmark">asp&period;net中IDataParameter调用存储过程的实现方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了asp.net中IDataParameter调用存储过程的实现方法,是asp.net数据库程序设计中非常实用的技巧.分享给大家供大家参考. 具体实现方法如下: public string GenerateExamePaper(string paperType, string driverID, string MacAddr) { int i; IDataParameter[] iData = new SqlParameter[4]; iData[0] = new SqlParame			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Xpm7Bwb.html" rel="bookmark" class="title">用 Flask 来写个轻博客 &lpar;32&rpar; &mdash; 使用 Flask-RESTful 来构建 RESTful API 之一</a>
					<div>
						目录 目录 前文列表 扩展阅读 RESTful API REST 原则 无状态原则 面向资源 RESTful API 的优势 REST 约束 前文列表 用 Flask 来写个轻博客 (1) - 创建项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP1mZz.html" rel="bookmark" class="title">php 微信开发平台开发小试验</a>
					<div>
						微信和随之微信产生的开放平台最近着实火了一下.一直想做个微信的平台试试,最近有了个好点子,想尽快把它实现出来,好在微信不需要什么UI等等的设计,只需要把逻辑展现出来即可了.其实微信公众平台如果只是作为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKZqEz.html" rel="bookmark" class="title">使用CSS截字</a>
					<div>
						css  截字是一个很恶心的问题.为了照顾表现上的需要,通常需要把过长的句子,比如一个列表中的新闻标题,截短. 通常这由程序员使用后台技术(各种流行的语言,PHP, JSP等)或者前台技术(JavaS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7KvDb.html" rel="bookmark" class="title">如何在Unix下使用sed命令</a>
					<div>
						sed用法:sed 'Command' filename(s) 只显示结果而不修改文件. 1.sed    '2,5d'    file 显示文件file,除去2-5行,但行数超过文件实际行数时不会报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ71Qqb.html" rel="bookmark" class="title">如何enable&sol;disable菜单项</a>
					<div>
						这个问题在以前的知识库中出现过多次,许多人问及在MFC应用程序中enable或disable菜单的问题,在主菜单中调用 CMenu::EnableMenuItem不起作用......如何disable ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal40Jz.html" rel="bookmark" class="title">Oracle数据库如何改名</a>
					<div>
						0.对整个数据库做一个关闭状态下的完全一致性备份: 1.alter database backup controlfile to trace; 2.shutdown immediate; 3.找到含有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAyy0b.html" rel="bookmark" class="title">RESETLOGS后没有备份情况下的数据恢复</a>
					<div>
						媒体恢复分完全恢复和不完全恢复.不完全恢复可以恢复到指定的时刻或系统更改号,但不完全恢复之后剩余日志文件就不可用,必须重置日志序列号,用RESETLOGS选项打开数据库,此后数据库变成一个新形体,为了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balkwmz.html" rel="bookmark" class="title">Java模式设计之单例模式（三）</a>
					<div>
						一个实用的例子:属性管理器 什么是属性文件 这里给出一个读取属性(properties) 文件的单例类,作为单例模式的一个实用的例子.属性文件如同老式的视窗编程时的.ini 文件,用于存放系统的配置信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balnWnz.html" rel="bookmark" class="title">PhotoShop制作中国风倾国倾城美女古典卷轴画效果教程</a>
					<div>
						PS教程教我们制作一幅逼真的古典卷轴画效果,前半部分为卷轴的制作,后面处理人物背景等,都有详细过程,本文最后也有提供素材供大家练习,喜欢的朋友         三联推荐:photoshop7.0迷你版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPevjM.html" rel="bookmark" class="title">PhotoShop制作铁网迷彩伪装文字教程</a>
					<div>
						效果图:        三联推荐:photoshop7.0迷你版免费下载    |  Photoshop CS5 中文免费下载  |  photoshop免费下载 新建文件 输入文字 复制一层文字,隐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZq1vz.html" rel="bookmark" class="title">ps制作逼真的水波效果</a>
					<div>
						  水波制作可以说是ps技巧制作十分基础的一种方式,同时他的应用也特别的广泛,有很多的高级特效里都有水波的影子,同时他的制作方式也特别的简单,那些如何制作水波呢,下面我将为大家介绍一下水波的制作过程. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAmoEM.html" rel="bookmark" class="title">【SQL】姗姗来迟的SQL Server 安装图解</a>
					<div>
						 逆天今天被人拉过去装了个数据库...顺便就记录一下安装过程吧,一直想发一直没时间弄,今天就发下安装过程吧,2012和2008安装过程一样的 [注意安装细节]                  安装过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEQDqp.html" rel="bookmark" class="title">URAL 1141 计算模n的e次根</a>
					<div>
						给出 n=p*q p,q为素数 gcd(e, (p-1)*(q-1)) = 1, e &lt; (p-1)*(q-1) ) 求m满足方程me = c (mod n). 摘自&lt;数论概论&gt; # ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVN6QBz.html" rel="bookmark" class="title">linux系统下，有没有对文件操作的系统日志？</a>
					<div>
						问题描述 linux系统下,有没有对文件操作的系统日志? 如题.如果有,对文件操作的系统日志存放在了哪个日志文件?若没有,是否是系统默认不记录,需要配置一下才会记录?本人初学linux...望不吝赐教 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZYYRp.html" rel="bookmark" class="title">【细说Java】揭开Java的main方法神秘的面纱&lpar;转&rpar;</a>
					<div>
						大家都知道,main方法是Java应用程序的入口,其定义格式为: public static void main(String[] args) 可是为什么要这么定义呢?不这样定义可以么?main方法可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEg43M.html" rel="bookmark" class="title">你放心刷脸 我负责安全！</a>
					<div>
						在今年央视315晚会上的消费预警环节中,近来非常火热的人脸识别认证遭受到了一万点暴击. 主持人利用3D建模软件对人脸照片加上了眨眼.张嘴.转头等效果,骗过了人脸识别认证系统,成功登陆他人账户.瞬间让各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodlxVM.html" rel="bookmark" class="title">大数据播报&vert;你所不知道的关于&OpenCurlyDoubleQuote;混合云&rdquo;的几组真实数据</a>
					<div>
						大数据播报第二期 数据1. 混合云市场增长强劲 数据说话 企业对于混合云的规划在未来24个月内会有较大幅度的增长,从目前的8.7%将增长到31.2%.其中尤其企业级用户在混合云上的需求增长幅度最大,从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqB2Jp.html" rel="bookmark" class="title">五点趋势&mdash;&mdash;云计算稳步发展的关键</a>
					<div>
						2013年的云计算依旧还是持续热门,纵观2013年的整个云计算市场,小编对未来云计算的发展趋势进行了五点总结,其中首当其冲的就是:云计算需要降降虚火. 1.云计算降虚火 在当前云计算领域,投资方式主要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLo4RM.html" rel="bookmark" class="title">调用list的clear方法和new一个新的list相比，谁的性能更好</a>
					<div>
						问题描述 List list = new ArrayList();list里有若干元素我现在想拿到一个空的list,是用list.clear()好,还是直接 list = new ArrayList( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvny08M.html" rel="bookmark" class="title">服务器端导出到excel成功，客户端导出excel不成功</a>
					<div>
						问题描述 如题:前提是服务器端和客户端都已经安装过办公软件,服务器端server2003系统,客户端win7 解决方案 解决方案二:excel版本不同或者目标平台不同x86/x64解决方案三:如果你的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLydDM.html" rel="bookmark" class="title">android应用里出现了错误</a>
					<div>
						问题描述 android应用里出现了错误 在android应用里出现问题: 单例中的方法代码如下: public Cursor getFooCursor(Context context) { Stor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnwNmp.html" rel="bookmark" class="title">香港天文台12时仍维持八号风球</a>
					<div>
						8月14日消息,香港天文台12时仍维持八号风球,表示会在下午二时前后考虑改发三号强风信号,若八号或以上台风讯号於中午12时仍然生效,港股周三将全天暂停交易. 根据港交所指引,若八号或以上台风讯号於中午 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOndaQp.html" rel="bookmark" class="title">curl不使用文件存取cookie php使用curl获取cookie示例&lowbar;php实例</a>
					<div>
						复制代码 代码如下: /*-----保存COOKIE-----*/$url = 'www.xxx.com'; //url地址$post = &quot;id=user&amp;pwd=123456&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Gmeyp.html" rel="bookmark" class="title">js 限制文本框只能输入数字 汉字 字母与禁止输空格代码</a>
					<div>
						1.文本框只能输入数字代码(小数点也不能输入)  代码如下 复制代码     &lt;input onkeyup=&quot;this.value=this.value.replace(/D/g,'' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRKR7z.html" rel="bookmark" class="title">Android 自定义View 总结</a>
					<div>
						Android系统本身给我们提供十分丰硕的组件让我们实现包罗万象的UI效果,与此同时,我们也能够非常方便实现各种方法来实现各种强大的功能.通过继承现有的UI控件,我们也能够拓展现有的功能.我们也能够完 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWn3Vp.html" rel="bookmark" class="title">网络社交媒体如何改变中国</a>
					<div>
						视频网站土豆网创始人说,http://www.aliyun.com/zixun/aggregation/13042.html&quot;&gt;社交媒体网站让中国亿万网民获得了一条表达渠道,有可能为这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRddY3z.html" rel="bookmark" class="title">如何判断来源网站的url编码是UTF-8还是GB2312编码类型</a>
					<div>
						问题描述 如题:判断搜索引擎的的url编码类型是utf-8还是gb2312希望大家能够尽快帮我解决很头痛啊!以下是代码:if(!string.IsNullOrEmpty(Request.QuerySt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Y9Rnp.html" rel="bookmark" class="title">分类信息发布精华篇</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 分类信息,是外链建设中很重要的一部分,因为分类信息占的权重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPY2Ap.html" rel="bookmark" class="title">ctrl&plus;alt&plus;break后，弹出designer&period;vb&comma;中断后能不能直接进入代码窗口</a>
					<div>
						问题描述 ctrl+alt+break后,弹出designer.vb,中断后能不能直接进入代码窗口? 解决方案 解决方案二:VisualStudio吗?解决方案三:引用1楼FoxDave的回复: Vi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK02DZM.html" rel="bookmark" class="title">0Day漏洞全家桶？多款3G、4G路由器可被黑客完全控制</a>
					<div>
						       很多童鞋手上都有3G/4G无线路由器,插入运营商的SIM卡就可以随身发射Wi-Fi信号.没错,就是这种东东被爆出了筛子般的漏洞. 最近,SCADA Strangelove团队推出的研究报 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
